#########################################################################
# MFR FrontPanel Parser Makefile.
#########################################################################


#------------------------------------------------------------------------
# Define any parser / scanner output files (bison, yacc, flex, lex)
#------------------------------------------------------------------------
PARSER_FILES =   MrTLPar.cpp \
					  MrTLFlx.cpp

#------------------------------------------------------------------------
# Highest level rule to relink the system
#------------------------------------------------------------------------
all: $(PARSER_FILES)
	@echo "Done rebuilding Parser C files"


#------------------------------------------------------------------------
# For now, hard code parser / scanner builds
#------------------------------------------------------------------------
MrTLPar.cpp: TL_EDL.bis
	@echo "Rebuilding TimeLine EDL Parser"
	@\gnu\bison\bison --verbose -d -p TL_EDL -o MrTLPar.c TL_EDL.bis
	@del MrTLPar.cpp
	@rename MrTLPar.c MrTLPar.cpp
	@echo "Done rebuilding Parser"


MrTLFlx.cpp: TL_EDL.flx
	@echo "Rebuilding TimeLine EDL scanner"
	@\gnu\bison\flex -PTL_EDL -oMrTLFlx.cpp TL_EDL.flx >PJUNK3.TXT
	@echo "Done rebuilding Scanner"

#----- End of Makefile --------------------------------------------------
