/* NAME
 *    utsalloc.hpp
 *
 * PROPRIETARY RIGHTS NOTICE
 *    All rights reserved. This material contains the valuable properties and
 *    trade secrets of TimeLine Vista, Inc., of Vista California, United States
 *    of America, embodying substantial creative efforts and confidential
 *    information, ideas and expressions, no part of which may be reproduced or
 *    transmitted in any form or by any means, electronic, mechanical, or
 *    otherwise, including photocopying and recording, or in connection with
 *    any information storage or retrieval system, without the permission in
 *    writing from TimeLine Vista, Inc.
 *
 * COPYRIGHT
 *    Copyright (C) 1994, an unpublished work, TimeLine Vista, Inc.
 *
 * DESCRIPTION
 *    Utility string object to handle allocation of strings from a
 *    dedicated memory pool.
 *
*/

#ifndef _STRALLOC_H_
#define _STRALLOC_H_

typedef unsigned long  ULONG;


class StringAllocator
{
   protected:
      char*     mBuff;       // ptr to allocated memory
      ULONG     mIndex;      // current allocation index

   public:
      StringAllocator(ULONG poolSize);
      // StringAllocator constructor.   Constructs a STringAllocator
      // with poolSize bytes (characters) of space.

      char* stralloc(ULONG strSize);
      // return a pointer to free space of size "strSize" bytes.

      ULONG strmark(void);
      // mark the string allocation area, return the mark

      void strRelease(ULONG lastMark);
      // release string allocation back to the are defined by "lastMark"

      void strInit(void);
      // release string allocation to Initial state.

      virtual ~StringAllocator();
      // StringAllocator destructor.
};

#endif
